{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": ["framework", "laravel"],
    "license": "MIT",
    "require": {
        "php": "^8.4",
        "ahmedhakeem/extra": "dev-master",
        "barryvdh/laravel-dompdf": "^3.1",
        "barryvdh/laravel-ide-helper": "^3.5",
        "bensampo/laravel-enum": "^6.12",
        "filament/filament": "4.0@dev",
        "flugger/laravel-responder": "^3.5",
        "jeroenzwart/laravel-csv-seeder": "^1.5",
        "kalnoy/nestedset": "^6.0",
        "laravel-json-api/laravel": "^5.1",
        "laravel-lang/lang": "^15.0",
        "laravel/framework": "^12.48",
        "laravel/sanctum": "^4.0",
        "laravel/tinker": "^2.10.1",
        "league/flysystem-aws-s3-v3": "^3.0",
        "maatwebsite/excel": "^3.1",
        "rap2hpoutre/fast-excel": "^5.6",
        "santigarcor/laratrust": "^8.4",
        "yajra/laravel-datatables": "^12.0",
        "yajra/laravel-datatables-oracle": "^12.0"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.15",
        "fakerphp/faker": "^1.23",
        "knuckleswtf/scribe": "^5.0",
        "laravel/sail": "^1.41",
        "mockery/mockery": "^1.6",
        "nunomaduro/collision": "^8.6",
        "phpunit/phpunit": "^11.5.3",
        "spatie/laravel-ignition": "^2.9",
        "laravel/pail": "^1.2.2"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": [
            "app/helpers.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        },
        "files": [
            "app/helpers.php"
        ]
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi",
            "@php artisan filament:upgrade"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force"
        ],
        "dev": [
            "Composer\\Config::disableProcessTimeout",
            "npx concurrently -c \"#93c5fd,#c4b5fd,#fb7185,#fdba74\" \"php artisan serve\" \"php artisan queue:listen --tries=1\" \"php artisan pail --timeout=0\" \"npm run dev\" --names=server,queue,logs,vite --kill-others"
        ],
        "setup": [
            "composer install",
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\"",
            "@php artisan key:generate",
            "@php artisan migrate --force",
            "npm install",
            "npm run build"
        ],
        "test": [
            "@php artisan config:clear --ansi",
            "@php artisan test"
        ],
        "pre-package-uninstall": [
            "Illuminate\\Foundation\\ComposerScripts::prePackageUninstall"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "minimum-stability": "stable",
    "prefer-stable": true
}
